import matplotlib

# Force matplotlib to not use any Xwindows backend
matplotlib.use('Agg')

import matplotlib.pyplot as plt
from matplotlib import animation

fig, axes = plt.subplots()
axes.axis([0, 1, 0, 10])
line, = axes.plot([], [])

images = []
for i in range(0, 10):
    line, = axes.plot([0, 1], [i, i])
    images.append([line])

anim = animation.ArtistAnimation(fig, images, interval=100)
anim.save('test.mp4')

